<?php

namespace Ecommerce\Controllers;

use Zeedhi\Framework\DTO;
use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class DuplicaPedCotController extends StoredProcedure
{

    protected $duplicaPedCot;

    public function __construct(Connection $connection, $procedureName = 'COPIAR_COTACAO')
    {
        parent::__construct($connection, $procedureName);
    }

    public function duplicaPedCot(DTO\Request $request, DTO\Response $response)
    {


        try {

            $params = $request->getRow();

            $cdfilial = $params['CDFILIAL'];
            $nrpedidocol = $params['NRPEDIDOCOL'];

            $this->addParam(new Param('P_CDFILIAL', Param::PARAM_INPUT, $cdfilial, Param::PARAM_TYPE_STR));
            $this->addParam(new Param('P_NRPEDIDOCOL', Param::PARAM_INPUT, $nrpedidocol, Param::PARAM_TYPE_STR));

            $code = $this->execute();

            $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet ('success', array($code)));

        } catch (\Exception $e) {
            $response->setError(new \Zeedhi\Framework\DTO\Response\Error($e->getMessage(), $e->getCode()));
        }

    }
}